%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  mrfse
%global packver   0.4.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.2
Release:          1%{?dist}%{?buildtag}
Summary:          Markov Random Field Structure Estimator

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-gtools 
BuildRequires:    R-CRAN-Rfast 
BuildRequires:    R-CRAN-Rcpp 
Requires:         R-CRAN-gtools 
Requires:         R-CRAN-Rfast 
Requires:         R-CRAN-Rcpp 

%description
Three algorithms for estimating a Markov random field structure.Two of
them are an exact version and a simulated annealing version of a penalized
maximum conditional likelihood method similar to the Bayesian Information
Criterion. These algorithm are described in Frondana (2016)
<doi:10.11606/T.45.2018.tde-02022018-151123>.The third one is a greedy
algorithm, described in Bresler (2015) <doi:10.1145/2746539.2746631).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
